"""add Iptrunk modify workflow.

Revision ID: e57ebfade80b
Revises: 7694b98571f8
Create Date: 2023-06-26 12:20:16.828055

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'e57ebfade80b'
down_revision = '7694b98571f8'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "modify_generic",
        "target": "MODIFY",
        "description": "Modify IP trunk",
        "product_type": "Iptrunk"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
